/*CSS presenta esa estructura de HTML y su contenido en la pantalla*/
/* CSS es un lenguaje que trabaja junto con HTML para proveer 
estilos visuales a los elementos del documento, como tamaño, color, fondo, 
bordes, etc… */


/*Cuerpo*/
body { 
    margin: 0;
    font-size: 17px; /*Cambia el tamaño de la palabra*/
    font-family: Arial,sans-serif; /*fuente de letras*/
    background: #F5F7FA;  
}

/*Cabecera */
header {
    background-color: #1F3A5F;
    padding: 20px;
}

/*Logo: Titulo*/
.logo {
    display: flex;
    align-items: center;
    gap: 20px; /*define el tamaño del espacio entre filas y columnas*/
    color:hsl(48, 13%, 92%); /*Color del titulo*/
    font-weight: bold; /*grosor o peso del tipo de letra de un texto*/
}

/*Imagen del logo*/
.logo img {
    width: 90px;
    left: 70px;
}

/*Inicio,Modelos, Contacto, Ubicación(items)*/
.header-container{
    display: flex;
    justify-content: space-between; /*Alinear o distribuir items*/
    align-items: center; /*Alineamento*/
    max-width: 1000px; /*Ancho máximo que puede tener el elemento*/
    margin: auto;  /*crear espacio exterior alrededor de los elementos,separandolos de otros*/
}

/*Seccion del inicio*/
section {
    text-align: center;
    padding: 40px;
}



h1 {
    font-weight: normal;
    font-size: 24px;
    margin: 0;
}


/*color de la letra de los textos del subtitulos y parrafos*/
#inicio { /*referenciando con el atributo id #inicio*/
    background: linear-gradient(135deg, #F5F7FA, #F5F7FA);
    color: black; 
}

/*Informacion principal(inicio)*/
nav a {
    color:white; /*Color de la letras del subtitulo(cabecera)*/ 
    margin-left: 20px; 
    text-decoration: none;
    font-weight: bold;

}

/*Color del fondo del inicio*/
nav a:hover {
    color: #F5F7FA;
}

/*Imagen del inicio*/
#inicio img {
    width: 90%;
    height: auto;
    border-radius: 10px;
    margin-top: 20px;
}

/* LISTAS ¿Por qué elegirnos? */
.beneficios {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

/*Tarjetas*/
.card-beneficio {
    background: white;
    padding: 20px;
    border-radius: 15px;
    width: 250px;
    font-size: 18px;
    font-weight: bold;
    box-shadow: 0 8px 20px rgba(6, 76, 156, 0.15);
    transition: 0.5s;
}

.card-beneficio:hover {
    transform: scale(1.05);
}

/* MODELOS DE IMAGENES*/
#modelos img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    display:block;
    border-radius: 15px;
    cursor: pointer;
}

/*Modelos que estan divididos*/
#modelos div {
    background: rgb(255, 255, 255);
    border-radius: 20px;
    padding: 20px;
    margin: 15px;
    display: inline-block;
    width: 220px;
    box-shadow: 0 8px 20px rgba(6, 76, 156, 0.473); /*sombreado de la imagen*/
    transition: 0.3s;
    vertical-align: top;
    transition: transform 0.3s, box-shadow 0,3s ;
    box-sizing: border-box;

}

#modelos div:hover {
    transform: translateY(-8px) scale(1.03);
    box-shadow: 0 12px 24px rgba(0, 0,0,0.18);
}


/* Modal de JavaScript de las imagenes*/
.modal {
    display: none;
    position: fixed;
    z-index: 4000;
    padding-top: 50px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color:black;
}

video{
    width: 100%;
    max-width: 800px;
}
.modal-img {
    margin: auto;
    display: block;
    width: auto;
    max-width: 90%;
    max-height: 85vh;
    height: auto;
    border-radius: 10px;  
}


/* BOTONES */
button {
    padding: 12px 25px;
    font-size: 16px;
    border: none;
    border-radius: 10px;
    background-color: #27ae60;
    color: white;
    cursor: pointer;
    transition: 0.3s;
}

button:hover {
    background-color: #2ecc71;
}

/* CONTACTOS */
#contacto a {
    margin: 10px;
    display: inline-flex;  
}

h2{
    color:black;
}


.btn-wsp {
    align-items: center;
    gap: 10px;
    background: #25D366;
    color: white;
    padding: 12px 20px;
    border-radius: 10px;
    text-decoration: none;
    font-size: 18px;
}


.btn-ig {
    align-items: center;
    gap: 10px;
    background: #E1306C;
    color: white;
    padding: 12px 20px;
    border-radius: 10px;
    text-decoration: none;
    font-size: 18px;
}

.btn-fb {
    align-items: center;
    gap: 10px;
    background: #1877F2;
    color: white;
    padding: 12px 20px;
    border-radius: 10px;
    text-decoration: none;
    font-size: 18px;
}

.btn-wsp img,
.btn-ig img,

.btn-fb img {
    width: 25px;
}

.btn-wsp:hover,
.btn-ig:hover,
.btn-fb:hover {
    transform: scale(1.05);
}

.card {
    position: relative;
    overflow: hidden; /* evita que el logo se salga */
}

.img-casa {
    width: 100%;
    display: block;
    border-radius: 10px;
}


/* FOOTER */
footer {
    background: #1F3A5F;
    color: white;
    text-align: center;
    padding: 10px;
}

/*Celular*/
@media(max-width: 768px){
    .header-container{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 15px;

    }
}

@media(max-width:337px){

    .logo{
        flex-direction: column;
        text-align: center;
        gap: 5px;
    }

    .logo img{
        width: 90px;
    }

    .logo h4{
        font-size:20px;
        margin:0;
    }

}



@media(max-width: 600px) {

    .logo{      
        font-family: Arial, Helvetica, sans-serif;   

    }


    .header-container{
        flex-direction: column;
        text-align: center;
        gap: 10px;
        
    }
    
    #inicio img{
        width: 100%;
        height: 70%;
    }

    nav{
        display:flex;
        flex-direction: column;
        gap: 10px;
    
    }

    .beneficios{
        gap: 40px;
        display: flex;   
    }

    #modelos div{
        display:inline-block;
    }   
}
